#ifndef __gameover_h__
#define __gameover_h__

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdbool.h>
#include <math.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include <SDL2/SDL_ttf.h>

#include "gameover.h"
#include "gamestate.h"
#include "main.h"

// Prototypes
void GAMEOVER_Initialize(SDL_Renderer * renderer);
void GAMEOVER_Draw(SDL_Renderer * renderer, Scenery * scenery);
void GAMEOVER_GetDigits(int input, int * digitCount);
void SCORE_DrawHUD(SDL_Renderer * renderer, Scenery * scenery);
void GAMEOVER_Deinitialize();
// End Prototypes

#endif // __gameover_h__
